petsc-3.7.1 2016-05-15
Report Typos and Errors

# AOView

Displays an application ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOView(AO ao,PetscViewer viewer)

Collective on AO and PetscViewer Many br

### Input Parameters

| ao | - the application ordering context Many br
| viewer | - viewer used for display Many br

Many br

### Options Database Key

-ao_view -calls AOView() at end of AOCreate() Many br

### Note

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br

The user can open an alternative visualization context with Many brPetscViewerASCIIOpen() - output to a specified file. Many br

### Keywords

application ordering

### See Also

PetscViewerASCIIOpen()

Level:intermediate
Location:src/vec/is/ao/interface/ao.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages